%define name       gmetadom
%define version 0.2.4b
%define packageversion 0.2.4
%define release %mkrel 1

%define major 0
%define libname  %mklibname gmetadom_gdome_cpp_smart %major

Summary: C++ Wrapper for GDOME
Name: %name
Version: %version
Release: %release
Group:  System/Libraries
License:   LGPL
URL:  http://gmetadom.sourceforge.net/    
Source:   %{name}-%{version}.tar.bz2
Patch: gmetadom-0.2.3-gcc4.1.patch.bz2
BuildRoot: %_tmppath/%{name}-%{version}-%{release}-buildroot
BuildRequires: autoconf2.5 
BuildRequires: libgdome-devel 
BuildRequires: ocaml

%description
GMetaDOM is a collection of libraries, each library providing a
DOM implementation. Each DOM implementation is generated
automatically by means of XSLT stylesheets.

%package -n %libname
Summary: CPP Libraries for gdome2
Group: System/Libraries 

%description -n %libname
 GMetaDOM is a collection of libraries, each library providing a
DOM implementation. Each DOM implementation is generated
automatically by means of XSLT stylesheets.

%package -n %libname-devel
Summary: Libraries and include files for gdome2
Group:    Development/C++ 
Requires: %libname = %{version}
Requires: glib2-devel >= 2.4.4 libgdome-devel libxml2-devel >= 2.6.11  
Provides: %name-devel  = %version-%release
Provides: libgmetadom_gdome_cpp_smart-devel = %version-%release

%description -n %libname-devel
GMetaDOM is a collection of libraries, each library providing a
DOM implementation. Each DOM implementation is generated
automatically by means of XSLT stylesheets. 

%package ocaml
Group: Development/Other
Summary: Ocaml bindings for %name

%description ocaml
GMetaDOM is a collection of libraries, each library providing a
DOM implementation. Each DOM implementation is generated
automatically by means of XSLT stylesheets. 

This are the Ocaml bindings of GMetaDOM.



%prep
rm -rf $RPM_BUILD_ROOT

%setup -qn %{name}-%{packageversion}

%build
#gw we have to disable libtoolize, as the ocaml path doesn't build otherwise
%define __libtoolize true
%configure2_5x  

%install  

%makeinstall_std  
 
%clean
rm -rf $RPM_BUILD_ROOT 
 
%post -n %libname -p /sbin/ldconfig

%postun -n %libname -p /sbin/ldconfig
 
%files -n %libname
%defattr(-, root, root) 
%_libdir/lib*.so.*
 
%files -n %libname-devel
%defattr(-,root,root)
%doc AUTHORS COPYING ChangeLog HISTORY INSTALL LICENSE      
%_includedir/*
%_libdir/pkgconfig/*.pc
%_libdir/lib*.so
%_libdir/*.a
%_libdir/*.la 

%files ocaml
%defattr(-, root, root) 
%_libdir/ocaml/*

%changelog
* Tue Aug 08 2006 Jerome Soyer <saispo@mandriva.org> 0.2.4-1mdv2007.0
- New release 0.2.4
- Remove patch1

* Wed Jun 21 2006 Gtz Waschk <waschk@mandriva.org> 0.2.3-4mdv2007.0
- fix build

* Mon Apr 24 2006 Pixel <pixel@mandriva.com> 0.2.3-3mdk
- rebuild for new ocaml

* Mon Mar 27 2006 Götz Waschk <waschk@mandriva.org> 0.2.3-2mdk
- rebuild for new ocaml
- use mkrel

* Thu Jul 21 2005 Gtz Waschk <waschk@mandriva.org> 0.2.3-1mdk
- New release 0.2.3

* Tue Apr 26 2005 Gtz Waschk <waschk@mandriva.org> 0.2.2-1mdk
- New release 0.2.2

* Wed Nov 10 2004 Jerome Soyer <saispo@mandrake.org> 0.2.1-1mdk
- 0.2.1

* Fri Jun 11 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.1.8-5mdk
- disable libtoolize
- fix deps
- new g++

* Wed Jul  9 2003 Gtz Waschk <waschk@linux-mandrake.com> 0.1.8-3mdk
- rebuild for new rpm

* Tue Jun 10 2003 Gtz Waschk <waschk@linux-mandrake.com> 0.1.8-2mdk
- add the version and release number to the devel provides

* Tue Jun 10 2003 Gtz Waschk <waschk@linux-mandrake.com> 0.1.8-1mdk
- fix release tag
- source URL
- from Charles A Edwards <eslrahc@bellsouth.net>
  - release 0.1.8	
  - patch for gcc-33
  - update file list
 
* Fri May  2 2003 Gtz Waschk <waschk@linux-mandrake.com> 0.1.6-1mdk
- add ocaml subpackage
- dir ownership
- from  Charles A Edwards <eslrahc@bellsouth.net>:
  - initial mdk release





 
